Name: numad
Version: 0.5
Release: 4.20120522git%{?dist}
Summary: NUMA user daemon

License: LGPLv2
Group: System Environment/Daemons
URL: http://git.fedorahosted.org/git/?p=numad.git
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#   git clone git://git.fedorahosted.org/numad.git numad-0.5git
#   tar cJf numad-0.5git.tar.xz numad-0.5git/
Source0: %{name}-%{version}git.tar.xz

Requires: initscripts, libcgroup
Requires(post): initscripts
Requires(preun): initscripts
Requires(postun): initscripts

ExcludeArch: s390 s390x %{arm}

%description
Numad, a daemon for NUMA (Non-Uniform Memory Architecture) systems,
that monitors NUMA characteristics and manages placement of processes
and memory to minimize memory latency and thus provide optimum performance.

%prep
%setup -q -n %{name}-%{version}git

%build
make CFLAGS="-std=gnu99 -g" LDFLAGS="-lpthread"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_initddir}
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 numad.conf %{buildroot}%{_sysconfdir}/
install -p -m 755 numad.init %{buildroot}%{_initddir}/numad
make install prefix=%{buildroot}/usr

%files
%{_bindir}/numad
%{_initddir}/numad
%config(noreplace) %{_sysconfdir}/numad.conf
%doc %{_mandir}/man8/numad.8.gz

%post
/sbin/chkconfig --add numad

%preun
if [ $1 -eq 0 ]; then
  # package removal
  /sbin/service numad stop &>/dev/null || :
  /sbin/chkconfig --del numad
fi

%postun
if [ $1 -eq 2 ]; then
  # package upgrade
  /sbin/service numad condrestart &>/dev/null || :
fi

%changelog
* Wed May 23 2012 Jan Synáček <jsynacek@redhat.com> - 0.5-4.20120522git
- update source (20120522) and manpage

* Fri Mar 16 2012 Jan Synáček <jsynacek@redhat.com> 0.5-3.20120316git
- update initscript to respect guidelines
- additional minor fixes

* Tue Mar 06 2012 Jan Synáček <jsynacek@redhat.com> 0.5-2.20120221git
- update source
- drop the patch

* Wed Feb 15 2012 Jan Synáček <jsynacek@redhat.com> 0.5-1.20120221git
- spec update

* Fri Feb 10 2012 Bill Burns <bburns@redhat.com> 0.5-1
- initial version
